Name:		grub2-theme-pclinuxos
Version:	2.06
Release:	%mkrel 5
Summary:	Boot-loader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+ and GPLv2
URL:		http://spout.ussg.indiana.edu/linux/pclinuxos/pclinuxos/srpms/SRPMS.pclos/
Source0:	grub2-theme-pclinuxos-%{version}.tar.xz
Requires:	grub2bootloader
BuildArch:	noarch

%description
This package provides a custom PCLinuxOS graphical theme for grub2.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%prep
%setup -q

%build
#no build

%install
rm -rf %buildroot

# Theme
install -d %{buildroot}/boot/grub2/themes/pclinuxos
cp -r * %{buildroot}/boot/grub2/themes/

# Font

%post
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/pclinuxos/theme.txt" >> %{_sysconfdir}/default/grub
fi

%postun
exec > /var/log/grub2_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/pclinuxos\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files
%defattr(-,root,root,-)
%dir /boot/grub2/themes/pclinuxos
/boot/grub2/themes/pclinuxos


%changelog
* Sat Apr 22 2023 tex - 2.06-5pclos2023
- new background from tuxlink

* Fri Aug 26 2022 tex - 2.06-4pclos2022
- make background darker

* Sat Aug 20 2022 tex - 2.06-3pclos2022
- new blue background

* Wed Jul 27 2022 tex - 2.06-1pclos2022
- change backgroun to flat black

* Tue Sep 28 2021 yodelu 2.06-1pclos2021
- fixed S0

* Fri Sep 24 2021 yodelu 2.00-4pclos2021
- drop S1(unicode.pf2) as is provided by grub2 package

* Tue Mar 18 2019 tex 2.00-3pclos2019
- update description
- add icon to menu

* Sun Feb 24 2019 tex 2.0.0-2pclos2019
- new

* Sat Jun 21 2014 bb <bb> 2.0.0-1pclos2014
- create package

